Linux Help
guides forums blogs
Home Desktops Distributions ISO Images Logos Newbies Reviews Software Support & Resources Linuxhelp Wiki

Welcome Guest ( Log In | Register )



Advanced DNS Management
New ZoneEdit. New Managment.

FREE DNS Is Back

Sign Up Now
 
Reply to this topicStart new topic
> Uninstall Before Reinstalling?, XAMPP includes Perl, I already have Perl
xinelo
post Oct 15 2004, 09:17 AM
Post #1


Whats this Lie-nix Thing?
*

Group: Members
Posts: 2
Joined: 15-October 04
Member No.: 3,960



Hi!

I've read there might be problems if I reinstall a package without uninstalling it first.

Perl came installed by default with my Linux distro. Now I'm planning to install XAMPP (former LAMPP), which brings Perl too.

The question is: do I need to uninstall the current Perl installation before I install XAMPP?

If no, that's that.

If yes, do I just need to remove the Perl directory (which I imagine to be /usr/bin/perl) or do I need to use apt-get (--purge) remove <perl??> or dpkg --purge <perl??> or something of the like?

If yes, is this regardless of the versions? I mean, maybe if I'm not going to install the same version of Perl there won't be any compatibility issue... If so, how do I know what version my current Perl is?

Thank you very much for any help.
Xinelo
Go to the top of the page
 
+Quote Post
xinelo
post Oct 16 2004, 01:43 PM
Post #2


Whats this Lie-nix Thing?
*

Group: Members
Posts: 2
Joined: 15-October 04
Member No.: 3,960



This issue has been dealt with successfully in http://www.linuxquestions.org/questions/sh...&postid=1237797
Go to the top of the page
 
+Quote Post
hughesjr
post Oct 17 2004, 07:19 AM
Post #3


Its GNU/Linuxhelp.net
*******

Group: Admin
Posts: 3,433
Joined: 25-July 03
From: Corpus Chrsiti, TX, USA
Member No.: 1,151



That is good to see .... I was installing XAMPP to see what might be required.

It seems to be fairly easy to install ... but I personally would rather use the versions that come with your distro. This would be so that you can quickly get security updates that are released.

The XAMPP project does look good, and it has cutting edge versions of the programs ... so it might be very responsive to security updates as well.

My install of CentOS has:
perl-5.8.0-88
php-4.3.2-14
httpd-2.0.46-40
mysql-3.23.58-1

(all old compared to XAMPP) ... but there are security patches as necessary by RedHat Enterprise.


--------------------
Johnny Hughes
hughesjr@linuxhelp.net
Enterprise Alternatives: CentOS, WhiteBoxEL
Favorite Workstation Distros (in order): CentOS, Gentoo, Debian Sarge, Ubuntu, Mandrake, FedoraCore, Slackware, SUSE
Favorite Server Distros (in order): CentOS, WhiteBoxEL, Debian Sarge, Slackware, Mandrake, FedoraCore, Gentoo, SUSE
Go to the top of the page
 
+Quote Post

Reply to this topicStart new topic
1 User(s) are reading this topic (1 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 22nd October 2017 - 07:05 AM